Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gjt.jclasslib.browser.config.classpath
Class FindResult

    java.lang.Object
      org.gjt.jclasslib.browser.config.classpath.FindResult

public class FindResult
extends Object

Result of a search operation on the classpath.

Version:
  $Revision: 1.1 $ $Date: 2003/08/18 08:10:15 $
Author:
  Ingo Kegel

Constructor Summary
`FindResult(ClasspathEntry classpathEntry, String fileName)` Constructor.

Method Summary
`ClasspathEntry` | `getClasspathEntry()` Get the classpath entry in which the class has been found.
`String` | `getFileName()` Get the file name of the found class.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FindResult

    public FindResult(ClasspathEntry classpathEntry,
                      String fileName)

  Constructor.

Parameters:
  `classpathEntry` - the classpath entry in which the class has been found.
  `fileName` - the file name of the found class.

Method Detail

### getClasspathEntry

    public ClasspathEntry getClasspathEntry()

  Get the classpath entry in which the class has been found.

  Returns:
    the classpath entry.

### getFileName

    public String getFileName()

  Get the file name of the found class.

  Returns:
    the file name.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ej-technologies
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD